import * as React from 'react';
interface Props {
    color?: string;
    label?: string;
    placeholder?: string;
    icon?: any;
    onIconClick?: (target: Textfield) => void;
    inputType?: 'text' | 'email' | 'password' | 'number';
}
interface State {
    activated: boolean;
    focused: boolean;
}
export declare class Textfield extends React.PureComponent<Props, State> {
    inputRef: React.RefObject<HTMLInputElement>;
    static defaultProps: Props;
    state: State;
    readonly value: string;
    onClick: () => void;
    onFocus: () => void;
    onBlur: () => void;
    onIconClick: (e: React.SyntheticEvent<any, Event>) => void;
    render(): JSX.Element;
}
export {};
